TestCommandlineOptions Struct Reference

`#include <options.test.h>`

## Classes

class | Public

## Public Member Functions

Test | boolOpt ()
Test | intOpt ()
Test | stringOpt ()
Test | vectorBoolOpt ()
Test | vectorStringOpt ()

## Member Function Documentation

Test TestCommandlineOptions::boolOpt | ( |  | ) |

inline

References assert_eq, and TestCommandlineOptions::Public< T >::parse().

Test TestCommandlineOptions::intOpt | ( |  | ) |

inline

References assert_eq, and TestCommandlineOptions::Public< T >::parse().

Test TestCommandlineOptions::stringOpt | ( |  | ) |

inline

References assert_eq, and TestCommandlineOptions::Public< T >::parse().

Test TestCommandlineOptions::vectorBoolOpt | ( |  | ) |

inline

References assert_eq, and TestCommandlineOptions::Public< T >::parse().

Test TestCommandlineOptions::vectorStringOpt | ( |  | ) |

inline

References assert_eq, and TestCommandlineOptions::Public< T >::parse().

The documentation for this struct was generated from the following file:

- options.test.h